Module org.apache.derby.engine
Package org.apache.derby.vti

## Class VTIContext

- java.lang.Object
- - org.apache.derby.vti.VTIContext

-     public class VTIContext
      extends Object

  Context parameter which is passed to an AwareVTI.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VTIContext​(String vtiSchema, String vtiTable, String statementText)` | Construct from pieces.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `statementText()` | Return the text of the statement which invoked the table function
    `String` | `vtiSchema()` | Return the name of the schema holding the table function
    `String` | `vtiTable()` | Return the unqualified table function name

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VTIContext

          public VTIContext​(String vtiSchema,
                            String vtiTable,
                            String statementText)

      Construct from pieces.

      Parameters:
        `vtiSchema` - Name of the schema holding the table function.
        `vtiTable` - Name of the table function.
        `statementText` - Text of the statement which is invoking the table function.

  - ### Method Detail

    - #### vtiSchema

          public String vtiSchema()

      Return the name of the schema holding the table function
      Returns:
        the name of the schema holding this table function

    - #### vtiTable

          public String vtiTable()

      Return the unqualified table function name
      Returns:
        the (unqualified) name of this table function

    - #### statementText

          public String statementText()

      Return the text of the statement which invoked the table function
      Returns:
        the text of the statement which invoked this table function